<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:log="http://www.xoev.de/de/xgenerator/framework/1/log" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xgen="http://www.xoev.de/de/xgenerator/framework/1/library" xmlns:xoev="http://www.xoev.de/de/xoev-profil/3_0_2" xmlns:dsmeld="http://www.xoev.de/de/kosit-zubehoer/dsmeld/3_1_0" xmlns:xoev-sch="http://www.xoev.de/de/xoev-profil/schematron/3_0_2" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xmlns:kosit="http://www.xoev.de/de/kosit-zubehoer/3_1_0" xmlns:kosit-codelisten="http://www.xoev.de/de/kosit-zubehoer/codelisten/3_1_0" xmlns:kosit-wsdl="http://www.xoev.de/de/kosit-zubehoer/wsdl/3_1_0" xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" xmlns:err="http://www.w3.org/2005/xqt-errors" version="3.0" exclude-result-prefixes="xsl xmi xgen xoev uml xd dsmeld">
    <xsl:include href="xgenerator-library.xgen-core.xsl"/>
    <xsl:include href="xgenerator-library.uml-access-layer.xsl"/>
    <xsl:include href="xoev-profil.profile-access-layer.xsl"/>
    <xsl:include href="xoev-profil.helpers.xsl"/>
    <xsl:include href="xoev-profil.schematron.helpers.xsl"/>
    <xsl:include href="xoev-profil.xmlschema.xsl"/>
    <xsl:include href="xoev-profil.schematron.xsl"/>
    <xsl:include href="kosit-dokumentations-profil.profile-access-layer.xsl"/>
    <xsl:include href="osci-transport-profil.profile-access-layer.xsl"/>
    <xsl:include href="dsmeld-profil.profile-access-layer.xsl"/>
    <xsl:include href="kosit-zubehoer.docbook.xsl"/>
    <xsl:include href="kosit-zubehoer.helpers.xsl"/>
    <xsl:include href="kosit-zubehoer.svg-from-xmlschema.xsl"/>
    <xsl:param name="transformation-name" as="xs:string" required="yes"/>
    <xsl:template match="/">
        <log:transformation-results transformation="{$transformation-name}">
            <xsl:try>
                <xsl:apply-templates select="/" mode="xgen:assert-supported-uml-model"/>
                <xsl:apply-templates select="." mode="kosit:default"/>
                <xsl:catch>
                    <log:transformation-failure>Ausführungsfehler: <xsl:value-of select="$err:description"/></log:transformation-failure>
                </xsl:catch>
            </xsl:try>
        </log:transformation-results>
    </xsl:template>
</xsl:stylesheet>
